
.title {
    font-size: 128px;
    font-weight: bold;
    padding: 64px 0;
}

.folder {
    width: 100%;
    display: grid;
    grid-template: 1fr 1fr/ 1fr 1fr;
    row-gap: 16px;
    column-gap: 16px;
}


.project {
    width: 100%;
    height: 500px;
    border: 2px solid black;
    box-sizing: border-box;
    position: relative;
}

.project a {
    width: 100%;
    height: 100%;
}

.project img {
    width: 100%;
    height: 100%;
}

.project-name {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    color: white;
    background-color: black;
    opacity: 0;
    position: absolute;
    z-index: 2;
    top: 0;
    transition: all 0.4s;
}

.project-name .project-header {
    text-align: center;
    font-size: 54px;
    font-weight: bold;
    line-height: 70px;
}

.project-name:hover {
    opacity: 1;
    background-color: rgba(0,0,0,0.7);
}

@media only screen and (max-width: 1200px) {
    .title {
        padding: 40px 0;
        font-size: 110px;
    }

    .project {
        height: 400px;
    }
}

@media only screen and (max-width: 991px) { 
    .container {
        max-width: 900px !important; 
    }

    .title {
        padding: 32px 0;
        font-size: 100px;
    }

    .project {
        height: 300px;
    }

    .project-name .project-header {
        font-size: 46px;
        line-height: 70px;
    }
}

@media only screen and (max-width: 768px) {   
    .title {
        font-size: 90px;
        padding: 28px 0;
    }
    
    .project-name .project-header {
        font-size: 36px;
        line-height: 48px;
    }

    .folder {
        row-gap: 8px;
        column-gap: 8px;
    }
}

@media only screen and (max-width: 660px) {
    .title {
        font-size: 75px;
        padding: 24px 0;
    }

    .folder {
        grid-template: 1fr/ 1fr;
        row-gap: 20px;
    }

    .project {
        height: 100%;
    }

    .project-name .project-header {
        font-size: 50px;
        line-height: 48px;
    }
}

@media only screen and (max-width: 435px) {
    .title {
        font-size: 60px;
        padding: 20px 0;
    }
}

@media only screen and (max-width: 330px) {
    .title {
        font-size: 50px;
        padding: 15px 0;
    }
}